Subject: Re: setting up a git repo on apache

From: Alan Larkin <[email-masked]>
Date: Wed, 09 Aug 2006 18:01:51 +0100

Johannes Schindelin wrote:
> Hi,
> 
> On Wed, 9 Aug 2006, Alan Larkin wrote:
> 
>> $ git push http://localhost:/webdav/git/myproj master
>> Error: no DAV locking support on remote repo
> 
> What do the access_log and the error_log say about this?
> 
> It could also be that you have a "Require valid-user" somewhere in there 
> by mistake.
> 
> Further, you might want to check if it works _with_ authentication (I 
> never tried without, and I am not sure if it should be allowed to begin 
> with).
> 
> There is a recent thread by Junio, Rutger and me, which might help you:
> 
> http://thread.gmane.org/gmane.comp.version-control.git/24816/focus=24861
> 
> Hth,
> Dscho
> 
> 
> 

I initially had authentication in place (which was working insofar as I
couldnt browse the repo without logging in) but I removed it to simplify
the process of tracking down the DAV problem. I have also removed all
.htaccess files so nothing can be overriding apache2.conf and that only
contains:

<Directory /var/www/webdav>
	Order allow,deny
        Allow from localhost
        DAV on
</Directory>

Ill look into that previous thread. Apologies for not finding it before
posting.